Subject: Re: bug#51490: Show an indicator when Emacs is busy somewhere in the Emacs window

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 30 Oct 2021 14:40:02 +0200

Stefan Kangas <[email-masked]> writes:

>> I'm not at all sure whether there'd be any negative repercussions to
>> spinning a glyph in the mode line area (for instance -- what about if
>> you're running over a slow ssh connection?), but perhaps it's worth
>> exploring and see how goes?
>
> Let's continue discussing this as a new bug.

I wonder whether this could be implemented by modifying the glyphs in
the mode line directly instead of going through the entire mode line
machinery (for efficiency).  I was thinking we'd designate (say) the
first (or last) displayed position on the mode line as "the spinner"
(and restore the previous glyph there after finishing spinning, of
course).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no